Create Clip from Recording
curl -X POST "https://api.videograph.ai/video/services/api/v1/livestreams/example_string/clips" \
-H "Content-Type: application/json" \
-H "Authorization: Basic YOUR_CREDENTIALS" \
-d '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"startTime": 42,
"endTime": 42
}'
import requests
import json
url = "https://api.videograph.ai/video/services/api/v1/livestreams/example_string/clips"
headers = {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
}
data = {
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"startTime": 42,
"endTime": 42
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.videograph.ai/video/services/api/v1/livestreams/example_string/clips", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Basic YOUR_CREDENTIALS"
},
body: JSON.stringify({
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"startTime": 42,
"endTime": 42
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"startTime": 42,
"endTime": 42
}`)
req, err := http.NewRequest("POST", "https://api.videograph.ai/video/services/api/v1/livestreams/example_string/clips", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.videograph.ai/video/services/api/v1/livestreams/example_string/clips')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'
request.body = '{
"title": "example_string",
"description": "example_string",
"tags": [
"example_string"
],
"metadata": [
{
"key": "example_string",
"value": "example_string"
}
],
"startTime": 42,
"endTime": 42
}'
response = http.request(request)
puts response.body
{}
/video/services/api/v1/livestreams/{STREAM_ID}/clipsTarget server for requests. Edit to use your own host.
Username for basic authentication
Password for basic authentication
The media type of the request body
Clips title.
Describe your content.
Provide clip metadata as key value pairs.
Clip start time in secs from epoc
Clip end time in secs from epoc
Request Preview
Response
Response will appear here after sending the request
Authentication
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
Path Parameters
Body
Clips title.
Describe your content.
Provide clip metadata as key value pairs.
Clip start time in secs from epoc
Clip end time in secs from epoc
Responses
Successful response